import fonts from '../../.build/font.raw.json';
import colors from '@salesforce-ux/sds-styling-hooks/dist/colors.raw.json';
import palettes from '@salesforce-ux/sds-styling-hooks/dist/palettes.raw.json';
import spacing from '@salesforce-ux/sds-styling-hooks/dist/spacing.raw.json';
import shadows from '@salesforce-ux/sds-styling-hooks/dist/shadow.raw.json';
import radius from '@salesforce-ux/sds-styling-hooks/dist/radius.raw.json';
import sizing from '@salesforce-ux/sds-styling-hooks/dist/sizing.raw.json';
import { basicExample } from './examples/basic';
import { colorExample } from '@salesforce-ux/sds-styling-hooks/src/docs/examples/colors';

export default {
  title: 'C360 Subsystem/Foundation/Styling Hooks',
  parameters: {
    docs: {
      source: {
        type: 'auto',
      },
    },
  },
};

export const Font = () =>
  basicExample(fonts, 'The quick brown fox jumps over the lazy dog', () => {
    return Object.keys(fonts.props).sort(
      (a, b) => parseFloat(fonts.props[b].value) - parseFloat(fonts.props[a].value),
    );
  });

export const UIColors = () => basicExample(colors);
export const ColorPalettes = () => colorExample(palettes, 12);
export const Spacing = () => basicExample(spacing);
export const Shadows = () => basicExample(shadows);
export const Radius = () => basicExample(radius);
export const Sizing = () => basicExample(sizing);
